Eclipse PDE Release 3.7

## org.eclipse.pde.core
Interface IModelChangedListener

    public interface IModelChangedListener

Classes that need to be notified on model changes should implement this interface and add themselves as listeners to the model they want to listen to.

Since:
  2.0
Restriction:
  This interface is not intended to be extended by clients.

Method Summary
`void` `modelChanged(IModelChangedEvent event)` Called when there is a change in the model this listener is registered with.

Method Detail

### modelChanged

    void modelChanged(IModelChangedEvent event)

  Called when there is a change in the model this listener is registered with.

  Parameters:
    `event` - a change event that describes the kind of the model change

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.